Get all field names that the matchers.fieldName parameter accepts when you create or update an Alert Configuration. You can successfully call this endpoint with any assigned role.
Query parameters
-
Flag that indicates whether Application wraps the response in an
envelopeJSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.Default value is
false. -
Flag that indicates whether the response body should be in the prettyprint format.
Default value is
false.Prettyprint
Responses
-
OK
One of: App Services Metric Matcher Fieldsstring Cluster Matcher Fieldsstring Host Matcher Fieldsstring Replica Set Matcher Fieldsstring Streams Matcher Fieldsstring Streams Private Link Endpoint Matcher Fieldsstring Log Ingestion Matcher Fieldsstring Global Software Type Matcher Fieldsstring NDS Autoscaling Matcher Fieldsstring Value is
APPLICATION_ID.Value is
CLUSTER_NAME.Values are
TYPE_NAME,HOSTNAME,PORT,HOSTNAME_AND_PORT,REPLICA_SET_NAME, orATLAS_NODE_TYPE.Values are
REPLICA_SET_NAME,SHARD_NAME, orCLUSTER_NAME.Values are
INSTANCE_NAMEorPROCESSOR_NAME.Value is
ENDPOINT_ID.Value is
RULE_ID.Value is
SOFTWARE_TYPE.Value is
CLUSTER_NAME. -
Unauthorized.
-
Forbidden.
-
Internal Server Error.
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/alertConfigs/matchers/fieldNames' \
--header "Authorization: Bearer $ACCESS_TOKEN"
[
"APPLICATION_ID"
]
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}